;; -*-emacs-lisp-*-
;;
;; Emacs startup file, e.g.  /etc/emacs/site-start.d/50xcscope.el
;; for the Debian xcscope package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@debian.org>

;; The xcscope package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(let ((package-dir (concat "/usr/share/"
                           (symbol-name debian-emacs-flavor)
                           "/site-lisp/xcscope")))
;; If package-dir does not exist, the xcscope package must have
;; removed but not purged, and we should skip the setup.
  (when (file-directory-p package-dir)
    (if (fboundp 'debian-pkg-add-load-path-item)
        (debian-pkg-add-load-path-item package-dir)
      (setq load-path (cons package-dir load-path)))

    ;; actual setup happens here
    (autoload 'cscope-minor-mode "xcscope.el"
      "Minor mode for the xcscope interface" t)
    (autoload 'cscope-setup "xcscope.el"
      "Hook cscope minor mode for C and C++ sources" t)

    ;; do (cscope-setup) if the package is loaded. This is done to retain
    ;; compatibility with the older cscope-el debian package. The older packages
    ;; had no (cscope-setup) function at all, so loading the package would do
    ;; all the setup. This mimics that behavior
    (eval-after-load 'xcscope '(cscope-setup))))
